/* ==========================================================================
   Default WordPress widgets styles - begin
   ========================================================================== */

.widget {
    margin: 0 0 $widget-bottom-margin;
    padding: 0;

    .mkdf-widget-title-holder {
        margin-bottom: $widget-list-item-padding;

        .mkdf-widget-title {
            margin-bottom: 10px;
        }

        .mkdf-separator {
            border-color: $widget-text-color;
            border-bottom-width: 3px;
            width: 30px;
        }
    }

    ul {
        padding: 0;
        margin: 0;
        list-style: none;

        li {
            display: block;
            line-height: $widget-list-item-height;
            margin: 0;
            padding: $widget-list-item-padding 0;

            &:last-child {
                border: 0;
                padding-bottom: 0;
            }

            a {
                color: $widget-link-color;

                &:hover {
                    color: $widget-link-hover-color;
                }
            }
        }

        .children,
        .sub-menu {
            border-top: 1px solid $widget-list-item-border-color;
            margin-top: $widget-list-item-padding;
        }
    }

    // widgets with lists and animation on link hover
    &.widget_pages,
    &.widget_archive,
    &.widget_categories,
    &.widget_meta,
    &.widget_recent_entries{

        .mkdf-widget-title {
            margin-bottom: 0;
        }

        ul {

            li {
                overflow: hidden;

                a {
                    display: inline;
                    overflow: hidden;
                    padding: 0;
                    position: relative;
                    font-size: 14px;
                    font-weight: 600;

                    @include mkdfTransition(padding .2s ease);

                    &:after {
                        content: "\f30f";
                        display: inline-block;
                        font-family: "IonIcons";
                        font-size: 13px;
                        left: -15px;
                        line-height: 13px;
                        position: absolute;
                        speak: none;
                        text-rendering: auto;
                        text-transform: none;
                        top: 50%;
                        vertical-align: middle;

                        -webkit-font-smoothing: antialiased;
                        -moz-osx-font-smoothing: grayscale;

                        @include mkdfTransform(translateY(-50%));
                        @include mkdfTransition(left .2s cubic-bezier(0.54, 0.49, 0, 1.75));
                    }

                    &:hover {
                        padding-left: 15px;

                        &:after {
                            left: 0;
                        }
                    }
                }
            }
        }
    }

    // widgets with lists and w/o animation on link hover
    &.widget_recent_comments,
    &.widget_rss {

        .mkdf-widget-title {
            margin-bottom: 0;
        }
    }

    // calendar
    #wp-calendar {
        text-align: center;
        width: 100%;

        caption {
            margin: 0 0 $widget-list-item-padding;

        }

        th, td {
            padding: 3px 4px;
        }

        td#today {
            color: $widget-text-color;
            background-color: $widget-list-item-background-color;
        }

        tfoot a {
            color: $widget-link-color;

            &:hover {
                color: $widget-link-hover-color;
            }
        }
    }

    // rss
    &.widget_rss {

        .rss-widget-icon {
            display: inline-block;
        }

        .rss-date {
            display: block;
            margin-bottom: $widget-list-item-padding;
        }

        cite {
            display: block;
            margin-top: calc(#{$widget-list-item-padding} / 2);
        }
    }

    // search
    &.widget_search {

        .input-holder {
            border-color: $widget-list-item-border-color;
            border-style: $widget-list-item-border-style;
            border-width: $widget-list-item-border-width;

            input,
            button {
                background-color: #fafafa;
                border: 0;
                border-radius: 0;
                box-sizing: border-box;
                color: $widget-text-color;
                display: inline-block;
                float: left;
                font-family: $default-text-font;
                font-size: 15px;
                font-weight: inherit;
                height: $widget-search-form-height;
                line-height: calc(#{$widget-search-form-height} - 2px);
                outline: 0;
                position: relative;
                vertical-align: top;
                -webkit-appearance: none;

                @include mkdfTransition(color .2s ease-in-out);
            }

            input.search-field {
                width: calc(100% - #{$widget-search-form-height});
                padding: 0 0 0 21px;

                @include mkdfPlaceholder {
                    color: #b5b5b5;
                }
            }

            button {
                background: #fafafa;
                color: #b5b5b5;
                cursor: pointer;
                font-size: 16px;
                width: $widget-search-form-height;

                @include mkdfTransition(color .2s ease-in-out);

                &:hover {
                    color: $widget-link-hover-color;
                }

                span {
                    display: block;
                    left: 0;
                    line-height: inherit;
                    position: absolute;
                    top: 0;
                    width: 100%;

                    &:before {
                        display: block;
                        line-height: inherit;
                    }
                }
            }
        }
    }

    // search post type
    &.mkdf-search-post-type-widget {
        .mkdf-post-type-search-field {
            border-radius: 3px;
            border-color: $widget-list-item-border-color;
            border-style: $widget-list-item-border-style;
            border-width: $widget-list-item-border-width;
            background-color: transparent;
            box-sizing: border-box;
            color: $widget-text-color;
            display: inline-block;
            float: left;
            font-family: $default-text-font;
            font-size: 12px;
            font-weight: inherit;
            height: $widget-search-form-height;
            line-height: calc(#{$widget-search-form-height} - 2px);
            outline: 0;
            position: relative;
            vertical-align: top;
            -webkit-appearance: none;
            padding: 0 25px 0 20px;
            width: 100%; /* width of loading icon */

            @include mkdfTransition(color .2s ease-in-out);

            @include mkdfPlaceholder {
                color: $widget-text-color;
            }
        }
    }

    // combobox
    &.widget_archive,
    &.widget_categories,
    &.widget_text {

        select {
            background-color: transparent;
            border-color: $widget-list-item-border-color;
            border-style: $widget-list-item-border-style;
            border-width: $widget-list-item-border-width;
            border-radius: 0;
            box-sizing: border-box;
            color: $widget-text-color;
            display: inline-block;
            font-family: $default-text-font;
            font-size: 15px;
            font-weight: inherit;
            height: $widget-search-form-height;
            line-height: calc(#{$widget-search-form-height} - 2px);
            margin-top: $widget-list-item-padding;
            outline: 0;
            padding: 0 0 0 21px;
            position: relative;
            vertical-align: top;
            width: 100%;

            @include mkdfTransition(color .2s ease-in-out);

            option {
            }
        }
    }

    // tag cloud
    &.widget_tag_cloud {

        a {
            border-radius: 2px;
            color: $widget-text-color;
            display: inline-block;
            font-size: 11px !important;
            font-family: $default-text-font;
            font-weight: inherit;
            line-height: $widget-tag-cloud-height;
            text-transform: uppercase;
            margin: 0 7px 7px 0;
            padding: 0 19px;

            &:hover {
                color: $widget-link-hover-color;
            }
        }
    }
}